# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Effect.hpp File Reference

`#include "vl/Renderable.hpp"`
`#include "vl/LODEvaluator.hpp"`
`#include "vl/Shader.hpp"`
`#include "vl/Collection.hpp"`
`#include <vector>`

## Classes

class | vl::ShaderSequence
| A sequence of Shader objects each of which represent a rendering pass. More...
class | vl::Effect
| Defines the sequence of Shader objects used to render an Actor. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:27 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.